# eoStPointMutation< FType, Node > Class Template Reference
[StParseTree]

eoStPointMutation --> replace a Node with a Node of the same arity and type More...

`#include <gp/eoStParseTreeOp.h>`

Inheritance diagram for eoStPointMutation< FType, Node >:

List of all members.

## Public Types

typedef eoParseTree< FType, Node > | EoType

## Public Member Functions

| eoStPointMutation (std::vector< Node > &_node)
| Constructor.
virtual std::string | className () const
| the class name
virtual | ~eoStPointMutation ()
| Dtor.
bool | operator() (EoType &_eo1)
| Mutate an individual.

## Private Attributes

map< int, map< int, std::vector< Node > > > | node

## Detailed Description

### template<class FType, class Node>
class eoStPointMutation< FType, Node >

eoStPointMutation --> replace a Node with a Node of the same arity and type

Definition at line 195 of file eoStParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoStPointMutation< FType, Node >::eoStPointMutation | ( | std::vector< Node > & | _node | ) | `[inline]`

Constructor.

Parameters:

  | _initializor | The std::vector of Nodes given to the eoGpDepthInitializer

Definition at line 205 of file eoStParseTreeOp.h.

## Member Function Documentation

template<class FType, class Node>
bool eoStPointMutation< FType, Node >::operator() | ( | EoType & | _eo1 | ) | `[inline]`

Mutate an individual.

Parameters:

  | _eo1 | The individual that is to be changed

Definition at line 234 of file eoStParseTreeOp.h.

References eoRng::random().

The documentation for this class was generated from the following file:

- eoStParseTreeOp.h